Page MenuHomeVyOS Platform

bgp peer-groups don't work when "no-ipv4-unicast" is enabled.
Closed, ResolvedPublic

Description

When trying to use peer-groups for neighbours, if you also have parameters default 'no-ipv4-unicast' set vyos will not create the neighbour:

Repro steps:

set protocols bgp 65400 parameters default 'no-ipv4-unicast'
set protocols bgp 65400 peer-group TEST remote-as '65401'
set protocols bgp 65400 neighbor 10.0.0.2 peer-group 'TEST'

Error:

[ protocols bgp 65400 ]
[ protocols bgp 65400 neighbor 10.0.0.2 ]
  peer-group defined but ipv4-unicast is disabled

Looks to be caused by a check here:

https://github.com/vyos/vyatta-cfg-quagga/blob/current/scripts/bgp/vyatta-bgp.pl#L1425

I'm not sure exactly why this check is there, it seems erroneous to me. Commenting out lines 1426 - 1428 seems to make vyos behave

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dataforce created this object in space S1 VyOS Public.
pasik added a subscriber: pasik.Mar 17 2019, 3:00 PM
bbabich added a subscriber: bbabich.Jan 5 2020, 8:11 AM

hi,

run into the same. If I add parameters default 'no-ipv4-unicast' to my config and commit I get the waring above. All runs fine, cause the sessions where already configured before.
If I do a reboot, bgp config in frr is neartly empty only "router bgp 64512" was there not more. Removing it and do an commit nothing changed. Removing it an reboot helped.

Will no try to remove the check and test again.

removing the check makes it work like a charme push request incomming..

dmbaturin assigned this task to rherold.Feb 23 2020, 8:23 PM
dmbaturin set Is it a breaking change? to Unspecified (possibly destroys the router).
syncer changed the task status from Open to Backport candidate.Mar 15 2020, 10:31 PM
syncer reassigned this task from rherold to jestabro.
syncer triaged this task as Normal priority.
syncer added a project: Ready for Crux (1.2.x).
syncer added a project: VyOS 1.3 Equuleus.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.5) board.
syncer moved this task from Need Triage to Backlog on the VyOS 1.3 Equuleus board.
jestabro closed this task as Resolved.Mar 19 2020, 6:22 PM
jestabro moved this task from Backlog to Finished on the VyOS 1.2 Crux (VyOS 1.2.5) board.
jestabro moved this task from Backlog to Finished on the VyOS 1.3 Equuleus board.